models = [
    SimplePrecessionModel(),
    PoisonedModel(SimplePrecessionModel(), tol=0.25)
]
prior = UniformDistribution([0, 1])
heuristic_class = ExpSparseHeuristic

for model in models:
    perf = perf_test_multiple(
        n_trials=50,
        model=model, n_particles=400, prior=prior,
        true_model=models[0],
        n_exp=50, heuristic_class=heuristic_class
    )
    bayes_risk = perf['loss'].mean(axis=0)

    plt.semilogy(bayes_risk, label=type(model).__name__)

plt.xlabel('# of Measurements')
plt.ylabel('Bayes Risk')
plt.legend()
plt.show()